﻿using Stimulsoft.Report;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Xml;

namespace XmlReportDemo {
    public partial class Form1 : Form {
        public Form1() {
            InitializeComponent();
            ShowReport(@"Resources\ReportInput1.xml");
            ShowReport(@"Resources\ReportInput2.xml");
            ShowReport(@"Resources\ReportInput3.xml");
        }

        private void ShowReport(string pathToXml) {
            try {
                StiReport Report = new StiReport();
                Report.Load(@"Resources\XmlTestReport.mrt");
                XmlDocument doc = new XmlDocument();
                doc.Load(pathToXml);
                string datasetName = Report.Dictionary.Databases[0].Name;
                XmlReader reader = XmlReader.Create(new StringReader(doc.OuterXml));
                System.Data.DataSet dataSet = new System.Data.DataSet(datasetName);
                dataSet.ReadXml(reader);
                Report.Dictionary.Clear();
                dataSet.DataSetName = datasetName;
                Report.RegData(datasetName, datasetName, dataSet);
                Report.Dictionary.Synchronize();

                Report.Show();
            } catch { }
        }
    }
}
